package liste_articles_ini;

/**
 * Exception sur la définition d'une dénomination.
 * @author santini
 *
 */
public class DenominationException extends Exception {
	
	private String denomination ;
	
	/**
	 * Constructeur champ à champ.
	 * 
	 * @param message le message associé à l'exception.
	 * @param denom la dénomination qui à provoqué la levée d'exception.
	 */
	public DenominationException(String message, String denom) {
		super(message);
		this.denomination = denom ;
	}
	
	/**
	 * Redéfinition de la méthode pour la classe DenominationException.
	 * @return la chaîne de caractères formatée décrivant l'exception.
	 */
	public String toString() {
		return String.format("La dénomination %s contient %d caractères.\n%s\n%s",this.denomination, getLocalizedMessage(),getStackTrace());
	}
}
