package liste_articles_ini;

/**
 * Exception sur la définition d'un prix.
 * @author santini
 *
 */
public class PrixException extends Exception {
	
	private Double prix ;
	
	/**
	 * Constructeur champ à champ.
	 * 
	 * @param message le message associé à l'exception.
	 * @param denom le prix qui à provoqué la levée d'exception.
	 */
	public PrixException(String message, Double p) {
		super(message);
		this.prix = p;
	}
	
	/**
	 * Redéfinition de la méthode pour la classe PrixException.
	 * @return la chaîne de caractères formatée décrivant l'exception.
	 */
	public String toString() {
		return String.format("Le prix %10.2f est négatif.\n%s\n%s",this.prix, getLocalizedMessage(),getStackTrace());
	}
}
